summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorAndrea Claudi <aclaudi@redhat.com>2021-09-11 16:14:18 +0200
committerGreg Kroah-Hartman <gregkh@linuxfoundation.org>2021-09-22 12:39:21 +0200
commit01d93582832502c693ce201addafacdded529b59 (patch)
tree47cd197925e4cda88f998c8f99e876a7e25c608b /tools
parent88ed682408f160fc2c242e3f9a25d8cd9cea64c8 (diff)
selftest: net: fix typo in altname test
commit 1b704b27beb11ce147d64b21c914e57afbfb5656 upstream. If altname deletion of the short alternative name fails, the error message printed is: "Failed to add short alternative name". This is obviously a typo, as we are testing altname deletion. Fix this using a proper error message. Fixes: f95e6c9c4617 ("selftest: net: add alternative names test") Signed-off-by: Andrea Claudi <aclaudi@redhat.com> Signed-off-by: David S. Miller <davem@davemloft.net> Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
Diffstat (limited to 'tools')
-rwxr-xr-xtools/testing/selftests/net/altnames.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/testing/selftests/net/altnames.sh b/tools/testing/selftests/net/altnames.sh
index 4254ddc3f70b..1ef9e4159bba 100755
--- a/tools/testing/selftests/net/altnames.sh
+++ b/tools/testing/selftests/net/altnames.sh
@@ -45,7 +45,7 @@ altnames_test()
check_err $? "Got unexpected long alternative name from link show JSON"
ip link property del $DUMMY_DEV altname $SHORT_NAME
- check_err $? "Failed to add short alternative name"
+ check_err $? "Failed to delete short alternative name"
ip -j -p link show $SHORT_NAME &>/dev/null
check_fail $? "Unexpected success while trying to do link show with deleted short alternative name"